Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server Class Reference

Inheritance diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server:

[legend]
Collaboration diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server:

[legend]
List of all members.

## Public Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server (TAO_ServerRequest &_tao_server_request, TAO_Object_Adapter::Servant_Upcall *tao_servant_upcall, POA_ImplementationRepository::Administration *tao_impl, const char *server ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation. More...
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of exceptions the current operation is capable of throwing. More...
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. More...
virtual char * | target_most_derived_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the most derived interface of the target object. More...
virtual CORBA::Boolean | target_is_a (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Returns true if the target's type corresponds to the given RepositoryId. More...
## Private Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server (const TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server &)
void | operator= (const TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server &)
## Private Attributes
POA_ImplementationRepository::Administration * | _tao_impl
const char * | server_

## Constructor & Destructor Documentation

TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server | ( | TAO_ServerRequest & | _tao_server_request,
|  | TAO_Object_Adapter::Servant_Upcall * | _tao_servant_upcall,
|  | POA_ImplementationRepository::Administration * | tao_impl,
|  | const char *server | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server | ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ServerRequestInfo.

Dynamic::ExceptionList * TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ServerRequestInfo.

void TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::operator= | ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server & |  | ) | `[private]`

CORBA::Any * TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::result | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ServerRequestInfo.

CORBA::Boolean TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::target_is_a | ( | const char *id | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Returns true if the target's type corresponds to the given RepositoryId. Reimplemented from TAO_ServerRequestInfo.

char * TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::target_most_derived_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the most derived interface of the target object. Reimplemented from TAO_ServerRequestInfo.

## Member Data Documentation

POA_ImplementationRepository::Administration* TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::_tao_impl`[private]`

const char* TAO_ServerRequestInfo_ImplementationRepository_Administration_shutdown_server::server_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoS.cpp